import pygame
import files
import video
import shader
import models
import roc_main
import universe
import config
base_universe = universe.base_universe

def init2d():
	init(videoinit=video.init2d)
	
def init3d():
	init(videoinit=video.init3d)
	
def init(videoinit):
	pygame.init()
	files.init()
	config.init()
	shader.init()

	size = width, height = (1600,1200)
	size = width, height = (1024,768)

	video.set_res(size)
	videoinit()
	video.enable_vsync()
	
	models.init()
	
def set_universe(new_universe):
	roc_main.set_universe(new_universe)

def main():
	roc_main.mainloop()
